curl --request GET \
--url https://app.synkrony.ai/api/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"time_logs": [
"<unknown>"
],
"total_logged_duration": "02:00:00",
"id": 123,
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status_id": 123,
"position": 123,
"created_by_id": 123,
"total_time_seconds": 123,
"slug": "<string>",
"pull_request_is_draft": true,
"base_branch": "<string>",
"has_sentry_link": true,
"tags": [
{
"id": 123,
"color": "<string>",
"bgColor": "<string>",
"label": "<string>"
}
],
"assignees": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"role": "<string>",
"authentication_setup_completed": true,
"sprint_goal_participation": true,
"status": "<string>",
"short_name": "<string>",
"avatar_color_id": 123,
"job_title": "<string>",
"cost_cents": 123,
"capacity": 123,
"removed_at": "<string>",
"agent_type": "<string>",
"profile_picture_url": "<string>"
}
],
"checklist_items": [
{
"id": "<string>",
"description": "<string>",
"completed": true,
"position": 123
}
],
"custom_field_values": [
"<unknown>"
],
"project": {
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"repository_url": "<string>"
},
"project_module": {
"id": 123,
"project_id": 123,
"custom_class": "<string>",
"name": "<string>",
"progress": 123,
"order": 123,
"description": "<string>",
"start": "<string>",
"end": "<string>",
"dependencies": [
"<string>"
]
},
"epic": {
"id": 123,
"project_id": 123,
"custom_class": "<string>",
"name": "<string>",
"progress": 123,
"order": 123,
"description": "<string>",
"start": "<string>",
"end": "<string>",
"dependencies": [
"<string>"
]
},
"priority": "<string>",
"sprint_id": 123,
"github_repo": "<string>",
"pull_request_number": 123,
"pull_request_url": "<string>",
"pull_request_status": "<string>",
"estimate": 123,
"user_time_seconds": 123,
"pull_request_created_at": "<string>",
"task_execution_status": "<string>",
"task_execution_error_info": {},
"task_execution_updated_at": "<string>",
"task_execution_id": 123,
"sentry_issues": [
{}
]
}
}curl --request GET \
--url https://app.synkrony.ai/api/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"time_logs": [
"<unknown>"
],
"total_logged_duration": "02:00:00",
"id": 123,
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status_id": 123,
"position": 123,
"created_by_id": 123,
"total_time_seconds": 123,
"slug": "<string>",
"pull_request_is_draft": true,
"base_branch": "<string>",
"has_sentry_link": true,
"tags": [
{
"id": 123,
"color": "<string>",
"bgColor": "<string>",
"label": "<string>"
}
],
"assignees": [
{
"id": 123,
"name": "<string>",
"email": "<string>",
"role": "<string>",
"authentication_setup_completed": true,
"sprint_goal_participation": true,
"status": "<string>",
"short_name": "<string>",
"avatar_color_id": 123,
"job_title": "<string>",
"cost_cents": 123,
"capacity": 123,
"removed_at": "<string>",
"agent_type": "<string>",
"profile_picture_url": "<string>"
}
],
"checklist_items": [
{
"id": "<string>",
"description": "<string>",
"completed": true,
"position": 123
}
],
"custom_field_values": [
"<unknown>"
],
"project": {
"id": 123,
"name": "<string>",
"color": "<string>",
"icon": "<string>",
"repository_url": "<string>"
},
"project_module": {
"id": 123,
"project_id": 123,
"custom_class": "<string>",
"name": "<string>",
"progress": 123,
"order": 123,
"description": "<string>",
"start": "<string>",
"end": "<string>",
"dependencies": [
"<string>"
]
},
"epic": {
"id": 123,
"project_id": 123,
"custom_class": "<string>",
"name": "<string>",
"progress": 123,
"order": 123,
"description": "<string>",
"start": "<string>",
"end": "<string>",
"dependencies": [
"<string>"
]
},
"priority": "<string>",
"sprint_id": 123,
"github_repo": "<string>",
"pull_request_number": 123,
"pull_request_url": "<string>",
"pull_request_status": "<string>",
"estimate": 123,
"user_time_seconds": 123,
"pull_request_created_at": "<string>",
"task_execution_status": "<string>",
"task_execution_error_info": {},
"task_execution_updated_at": "<string>",
"task_execution_id": 123,
"sentry_issues": [
{}
]
}
}